---
title: 'Document: fullscreenchange event'
slug: Web/API/Document/fullscreenchange_event
tags:
  - API
  - Event
  - Fullscreen API
  - Reference
  - fullscreen
  - fullscreenchange
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <code>fullscreenchange</code> event is fired immediately after the browser switches into or out of full-screen mode.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("Document.onfullscreenchange", "onfullscreenchange")}}</td>
  </tr>
 </tbody>
</table>

<p>The event is sent to the <code>Element</code> that is transitioning into or out of full-screen mode, and this event then bubbles up to the <code>Document</code>.</p>

<p>To find out whether the <code>Element</code> is entering or exiting full-screen mode, check the value of {{domxref("DocumentOrShadowRoot/fullscreenElement", "DocumentOrShadowRoot.fullscreenElement")}}: if this value is <code>null</code> then the element is exiting full-screen mode, otherwise it is entering full-screen mode.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, a handler for the <code>fullscreenchange</code> event is added to the {{domxref("Document")}}.</p>

<pre class="brush: js notranslate">document.addEventListener('fullscreenchange', (event) =&gt; {
  // document.fullscreenElement will point to the element that
  // is in fullscreen mode if there is one. If there isn't one,
  // the value of the property is null.
  if (document.fullscreenElement) {
    console.log(`Element: ${document.fullscreenElement.id} entered full-screen mode.`);
  } else {
    console.log('Leaving full-screen mode.');
  }
});
</pre>

<p>See <a href="/en-US/docs/Web/API/Element/fullscreenchange_event">Element: fullscreenchange event</a> for another example.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.fullscreenchange_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document/fullscreenerror_event", "fullscreenerror")}}</li>
 <li>{{domxref("Element")}}: {{domxref("Element/fullscreenchange_event", "fullscreenchange")}} event</li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
</ul>
